Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat
Class NEATPopulation

    java.lang.Object
      org.encog.ml.genetic.population.BasicPopulation
          org.encog.neural.neat.NEATPopulation

All Implemented Interfaces:
  Serializable, Population

    public class NEATPopulation

extends BasicPopulation
implements Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NEAT_ACTIVATION`
`static String` | `PROPERTY_OUTPUT_ACTIVATION`

Fields inherited from class org.encog.ml.genetic.population.BasicPopulation
`DEFAULT_OLD_AGE_PENALTY, DEFAULT_OLD_AGE_THRESHOLD, DEFAULT_SURVIVAL_RATE, DEFAULT_YOUTH_BONUS, DEFAULT_YOUTH_THRESHOLD`

Fields inherited from interface org.encog.ml.genetic.population.Population
`PROPERTY_GENOMES, PROPERTY_INNOVATIONS, PROPERTY_NEXT_GENE_ID, PROPERTY_NEXT_GENOME_ID, PROPERTY_NEXT_INNOVATION_ID, PROPERTY_NEXT_SPECIES_ID, PROPERTY_OLD_AGE_PENALTY, PROPERTY_OLD_AGE_THRESHOLD, PROPERTY_POPULATION_SIZE, PROPERTY_SPECIES, PROPERTY_SURVIVAL_RATE, PROPERTY_YOUNG_AGE_BONUS, PROPERTY_YOUNG_AGE_THRESHOLD`

Constructor Summary
`NEATPopulation()`
`NEATPopulation(int inputCount, int outputCount, int populationSize)` Construct a starting NEAT population.

Method Summary
`int` | `getActivationCycles()`
`int` | `getInputCount()`
`ActivationFunction` | `getNeatActivationFunction()`
`ActivationFunction` | `getOutputActivationFunction()`
`int` | `getOutputCount()`
`void` | `setActivationCycles(int activationCycles)`
`void` | `setInputCount(int inputCount)`
`void` | `setNeatActivationFunction(ActivationFunction neatActivationFunction)`
`void` | `setOutputActivationFunction(ActivationFunction outputActivationFunction)`
`void` | `setOutputCount(int outputCount)`

Methods inherited from class org.encog.ml.genetic.population.BasicPopulation
`add, addAll, assignGeneID, assignGenomeID, assignInnovationID, assignSpeciesID, claim, clear, get, getBest, getGeneIDGenerate, getGenomeIDGenerate, getGenomes, getInnovationIDGenerate, getInnovations, getName, getOldAgePenalty, getOldAgeThreshold, getPopulationSize, getSpecies, getSpeciesIDGenerate, getSurvivalRate, getYoungBonusAgeThreshold, getYoungScoreBonus, setInnovations, setName, setOldAgePenalty, setOldAgeThreshold, setPopulationSize, setSurvivalRate, setYoungBonusAgeThreshhold, setYoungBonusAgeThreshold, setYoungScoreBonus, size, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NEAT_ACTIVATION

    public static final String PROPERTY_NEAT_ACTIVATION

See Also:
  Constant Field Values

### PROPERTY_OUTPUT_ACTIVATION

    public static final String PROPERTY_OUTPUT_ACTIVATION

See Also:
  Constant Field Values

Constructor Detail

### NEATPopulation

    public NEATPopulation(int inputCount,
                          int outputCount,
                          int populationSize)

  Construct a starting NEAT population.

  Parameters:
    `inputCount` - The input neuron count.
    `outputCount` - The output neuron count.
    `populationSize` - The population size.

### NEATPopulation

    public NEATPopulation()

Method Detail

### getInputCount

    public int getInputCount()

  Returns:
    the inputCount

### setInputCount

    public void setInputCount(int inputCount)

  Parameters:
    `inputCount` - the inputCount to set

### getOutputCount

    public int getOutputCount()

  Returns:
    the outputCount

### setOutputCount

    public void setOutputCount(int outputCount)

  Parameters:
    `outputCount` - the outputCount to set

### getNeatActivationFunction

    public ActivationFunction getNeatActivationFunction()

  Returns:
    the neatActivationFunction

### setNeatActivationFunction

    public void setNeatActivationFunction(ActivationFunction neatActivationFunction)

  Parameters:
    `neatActivationFunction` - the neatActivationFunction to set

### getOutputActivationFunction

    public ActivationFunction getOutputActivationFunction()

  Returns:
    the outputActivationFunction

### setOutputActivationFunction

    public void setOutputActivationFunction(ActivationFunction outputActivationFunction)

  Parameters:
    `outputActivationFunction` - the outputActivationFunction to set

### getActivationCycles

    public int getActivationCycles()

### setActivationCycles

    public void setActivationCycles(int activationCycles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.